# File: RegionTabajara.py
# 
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil)
# Generator: ArchGenXML Version 1.4.0-beta2 devel 
#            http://plone.org/products/archgenxml
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>'''
__docformat__ = 'plaintext'


from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *



from Products.TabajaraPodcasting.config import *
##code-section module-header #fill in your manual code here
from Products.Tabajara.Widget import TreeReferenceWidget
from Products.CMFCore.utils import getToolByName
##/code-section module-header

schema=Schema((

    ReferenceField('region',
        root_node='getRegionTreeRoot',
        multiValued=1,
        relationship='region',
        tabajara=1,
        allowed_types=('TreeNode',),
        widget=TreeReferenceWidget
        (
            label="Tabajara Region",
            visible={'view':'invisible','edit':'visible'},
            label_msgid='TabajaraPodcasting_label_region',
            description_msgid='TabajaraPodcasting_help_region',
            i18n_domain='TabajaraPodcasting',
        )
    ),

),
)


##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

RegionTabajara_schema = schema

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class RegionTabajara:
    """
    RegionTabajara
    """
    security = ClassSecurityInfo()
    __implements__ = ()


    allowed_content_types      = []
    schema = RegionTabajara_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    #Methods
    #manually created methods

    def getRegionTreeRoot(self):
        """ Return the tree root for regions dimension.
        """

        tmm = getToolByName(self, 'portal_treemenumanager')
 	try:
            return tmm.regions.getRefs('tree_root')[0]
        except:
            pass
	raise NotImplementedError
    

# end of class RegionTabajara

##code-section module-footer #fill in your manual code here
##/code-section module-footer



